Baud Player


Version 3.13 BETA 2
Ajouté une option pour déplacer les pistes de droite à gauche, plutôt que les supprimer
Ajouté une option pour arrêter momentanément le comptage du nombre de lecture pendant la session. Elle sera réinitialisée à chaque démarrage
Ajouté un bouton pour trier rapidement la liste courante. Ce bouton est le bouton ~ localisé entre les deux listes. Le menu de tri dans chacune des listes est voué à disparaître
Ajouté un bouton pour modifier la note depuis la fenêtre d'Infos
Ajouté un bouton pour consulter l'historique d'une piste depuis sa page d'Infos
Ajouté un bouton pour renommer le nom affiché d'une piste depuis la fenêtre d'Infos
Ajouté un bouton pour consulter directement dans FileExplorer la piste, en cliquant sur sa bibliothèque depuis la fenêtre d'Infos
Ajouté le changement du Nom affiché d'une piste est ajouté dans son historique
Ajouté les mises en pause dans HistoryExplorer
Ajouté un menu dans le menu contextuel des listes pour localiser la sélection dans FileExplorer
Ajouté la mémorisation du numéro de piste ID3Tag, et permet d'ordonner la liste grâce à ce numéro le cas échéant
Ajouté une fenêtre de sélection du filtre par Note
Ajouté une fenêtre "A propos de"
Ajouté la possibilité de rafraîchir l'onglet courant (par F5) suivant le prédicat de sa création
Modifié si la piste n'a pas d'historique, la fenêtre d'historique s'affiche quand même lorsqu’on la demande
Modifié la fenêtre d'historique affiche le Nom affiché plutôt que le chemin complet
Modifié les fenêtres : Historique, FileExplorer, Infos et d'autres où Echap suffit pour les fermer, et ne sont plus visibles depuis la barre de tâches
Modifié le nom de l'onglet pour le filtre BPM
Modifié l'assembly TabCtlEx est maintenant compilée avec la version 4 du framework, ce qui retire la dépendance avec le framework 2.0
Corrigé il est désormais impossible de laisser la lecture automatique suivre la sélection, si l'option "Sélection automatique" n'est pas activée
Corrigé rajouté le menu contextuel Historique depuis la liste de gauche
Corrigé maximiser FileExplorer redimensionne correctement les composants
Corrigé renommer une piste ne relance plus sa lecture si l'on validait par Entrée
Corrigé la taskbar clignote maintenant en pause même lors d'une lecture de streaming
Corrigé le menu Localiser des menus contextuel est grisé si la piste sélectionnée est un flux ou s'il y a plusieurs éléments sélectionnés
Corrigé la suppression de piste dans les listes supporte les sélections multiples
Corrigé dans certains cas, après l'annulation de la recherche rapide, le contenu de la liste d'origine ne s'affichait plus
Corrigé la recherche des pistes du même artiste à partir du menu contextuel de la liste de gauche fonctionne désormais
Corrigé la recherche des pistes du même répertoire fonctionne désormais
Corrigé la localisation depuis le menu contextuel fonctionne désormais
Corrigé l'enregistrement des paramètres des bibliothèques re-fonctionne correctement


Version 3.13 BETA (majeure: recherche en onglet)
- Ajouté les onglets
  - Ajouté des onglets dans la zone de gauche, pour la recherche et filtres
  - Ajouté un bouton "Tab" pour la création d'un onglet vierge
  - Ajouté la possibilité de fermer l'onglet par CTRL+W, clic-molette, la croix
- Ajouté la gestion des notes
  - Ajouté l'affichage de la note en étoiles dans les listes
  - Ajouté l'affichage et le trie par note dans FileExplorer
  - Ajouté l'affichage de la note dans la fenêtre des informations
- Ajouté des options
  - Ajouté une option pour déplacer le scroll de la liste vers la nouvelle piste en cours
  - Ajouté une option pour choisir le comportement de choix de lecture aléatoire : "du nouveau" ou au contraire "des valeurs sûres"
  - Ajouté une option pour désactiver le Timer pour la recherche
  - Ajouté une option pour désactiver la recherche-rapide
- Ajouté des menus
  - Ajouté un menu contextuel dans les listes pour la modification de la note de chaque piste
  - Ajouté un menu contextuel dans la liste de FileExplorer pour exporter la sélection vers un nouvel onglet
  - Ajouté un menu contextuel dans l'arbre de FileExplorer qui permet d'ajouter le répertoire courant dans un nouvel onglet
  - Ajouté un menu contextuel dans les listes pour trier par Note ou en mode "Intelligent"
  - Ajouté un menu contextuel dans les listes pour vérifier l'existence des fichiers sélectionnés
- Ajouté divers
  - Ajouté aide contextuelle dans la fenêtre des options avancées
  - Ajouté la fenêtre affichant l'historique de lecture, avec possibilité de retourné à une position antérieur
  - Ajouté à la fermeture de la fenêtre d'options avancées par la croix affiche un avertissement
  - Ajouté lorsqu'une bibliothèque est absente, le message d'erreur n'est plus bloquant
  - Ajouté le drag & drop dans n'importe où dans la fenêtre créé un onglet "drop"
- Modifications
  - Modifié les listes sont maintenant en multi-sélection étendue
  - Modifié la recherche non-regex, remplace discrètement les espaces par des "?"
  - Modifié la fenêtre de sélection de BPM
  - Modifié le nom du menu contextuel dans les listes "Retirer" en "Nettoyer"
  - Modifié à la fermeture, ne propose d'enregistrer la playlist seulement si elle a été modifiée
  - Modifié la fenêtre d'options avancées, nouvel agencement des onglets et des pages
- Corrections
  - Corrigé il est désormais plus possible d'ouvrir plusieurs fois la fenêtre d'options
  - Corrigé ouvrir la fenêtre FileExplorer cache le pannel
  - Corrigé le menu contextuel qui n'ajoutait pas la sélection dans la playlist
  - Corrigé si une lecture échoue alors son compteur de lecture n'est pas incrémenté
  - Corrigé la mise à jour des Tag depuis le FileExplorer met également à jour la couleur (existence) du fichier
  - Corrigé double clic sur un répertoire depuis FileExplorer ne demande plus les droits administrateurs pour ouvrir le répertoire
  - Corrigé un bug de tri par colonne, lorsque le tri par Nom avait déjà été fait, depuis FileExplorer
  - Corrigé l'ordre des TabIndex du lecteur et de la fenêtre d'options avancées


Version 3.12
- Ajouté la recherche rapide de la liste de lecture supporte également les jokers * et ?
- Ajouté redémarrage du moteur FMOD si l'on appuie sur Stop et qu'aucune piste était en lecture
- Ajouté un bouton Export dans l'historique de lecture d'une piste
- Ajouté une option pour désactiver l'utilisation de l'historique de lecture
- Ajouté une option pour modifier le comportement de lecture suivante : par rapport à la lecture en cours ou par rapport à la sélection
- Ajouté un menu dans les listes de recherche et lecture pour inverser l'ordre du tri en cours
- Ajouté sur la recherche, si on appuie sur Entrée la recherche s'effectue immédiatement, Échap l'empêche
- Ajouté un bouton "Mode" dans la fenêtre principale (qui a donc été modifiée)
- Ajouté un menu de sélection pour indiquer un minimum et un maximum du nombre de lecture, lors de l'affichage des TOPs
- Ajouté un filtre dans le menu des filtres pour afficher l'historique de lecture
- Modifié option de sauvegarde automatique, maintenant choix entre "jamais", "toujours" ou "demander"
- Corrigé le bug du focus dans la combo box de recherche, qui sélectionnait tout le texte en rendant le focus
- Corrigé le bug pour l'application du paramètre "recherche commence à partir de 3 caractères"


Version 3.11
- Ajouté un menu pour tout retirer de la liste de recherche sauf la sélection en cours
- Ajouté l'implémentation du menu pour retirer les doublons dans une liste
- Ajouté une option pour vider la playlist de recherche avant un drag & drop (écrasement)
- Ajouté une option pour sauvegarder automatiquement la playlist lors de la fermeture
- Ajouté un coefficient de volume (1 à 100%) pour chaque piste (depuis les propriétés d'une piste)
- Ajouté une menu d'historique du changement de nom (artiste + titre) de la piste courante (utile pour les radios par exemple)
- Ajouté une option pour afficher le nom de la radio, en plus de l'artiste/titre, dans la barre de titre & MSN
- Ajouté la prise en charge des jokers ? et * dans la recherche standard
- Ajouté un redémarrage automatique du moteur FMOD (ce qui permet de re-fonctionner après que l'application ait changée de contexte de sécurité)
- Ajouté un timer qui va lancer périodiquement un scan des tags à lire en attente
- Ajouté une option pour sélectionner automatiquement la lecture en cours
- Modifié la fenêtre de propriétés, nouvel agencement des informations et mise en lecture seule des champs
- Modifié la gestion de la lecture automatique (routine partagée et optimisée)
- Modifié une recherche redonne le focus à la combo-box de recherche après la recherche
- Corrigé le bug lors d'une lecture (mode continue) dans la liste de recherche, alors que celle-ci a été vidée entre temps
- Corrigé le bug lors de la suppression (par la touche Suppr) d'une piste dans la liste de recherche
- Corrigé le bug dans la fenêtre de propriétés, pour bloquer le bouton suivant lorsque l'on est sur la dernière piste de la liste
- Corrigé le bug dans la lecture et la sauvegarde des playlist de type M3U, la durée est maintenant indiquée en secondes


Version 3.10 (majeure: Service WCF & WPF usercontrol)
- Ajouté listbox en WPF
  - Ajouté affichage des durées dans la liste (désactivable sur option)
  - Ajouté couleur custom pour chaque piste
  - Ajouté affichage du nombre de lecture par piste (désactivable sur option)
  - Ajouté Binding des listes en mémoire
- Ajouté services WCF
  - Ajouté service WCF expérimental : FileServ
  - Ajouté service WCF expérimental : RemoteControl
  - Ajouté control Silverlight
- Ajouté explorateur de bibliothèque
  - Ajouté coloration
  - Ajouté suppression de fichier ou de répertoire
- Modifié gestion des listbox
  - Ajouté trie automatique de la liste de recherche (sur option)
  - Ajouté trie manuel sur liste de gauche et liste de droite
  - Ajouté recherche à la volée dans la liste de droite (avec option pour rechercher en expression régulière)
  - Ajouté menus de nettoyage dans les listes
  - Ajouté menus d'ajout de fichiers dans les listes
  - Ajouté coloration automatique de tous les fichiers selon sa bibliothèque
  - Ajouté possibilité de renommer l'affichage d'une piste sans altérer le fichier
  - Supprimé la sélection multiple dans la liste de résultats
- Modifié gestion des bibliothèques
  - Ajouté l'ajout d'une bibliothèque existante par drag'n'drop
  - Modifié charge la bibliothèque même si le répertoire cible est introuvable
  - Modifié chargement threadé des bibliothèques
  - Modifié range les fichiers drag'n'dropé dans la bonne bibliothèque et pas dans Dynamics Master par défaut
  - Corrigé bug qui efface les bibliothèques si elles étaient désactivées
- Modifié fenêtre principale
  - Ajouté clignotement (Windows Vista+) de la barre de progression quand la lecture est en pause
  - Modifié l'affichage dans la barre de titre : A=Admin, B=Bêta, F=FileServ, R=RemonteControl
  - Modifié resize du split, maintenant reste proportionnel
  - Corrigé bug de mémorisation de la taille de la fenêtre
  - Corrigé bug d'affichage du split après une minimisation
- Modifié fenêtre propriétés
  - Ajouté export de la couverture par un simple clic
  - Modifié fenêtre de propriétés (chemin en rouge si introuvable, affichage du nom de la bibliothèque dans les propriétés)
  - Supprimé le bouton "mettre à jour"
  - Corrigé bug sur le genre de la musique dans les propriétés
- Modifié fenêtre d'options
  - Ajouté option pour vérifier si lors d'une recherche les fichiers résultant existent ou non
  - Ajouté option précédente pour ne vérifier que si la bibliothèque est locale
  - Ajouté option pour vérifier si lors du chargement de la playlist
  - Ajouté option pour revenir en liste de lecture après avoir lu une piste en recherche
  - Ajouté couleurs customisables dans les options
  - Ajouté gestion de la balance
  - Modifié onglet spectre en affichage
- Divers
  - Ajouté amélioration/protection dans le chargement/sauvegarde des paramètres
  - Ajouté splashscreen (désactivable sur option)
  - Modifié gestion du code source : séparation du code en classe métier : Song, Parameters, Playlist, Bibliotheque.
  - Modifié l'arrêt du player, plus fluide, plus optimisé
  - Modifié la façon dont le player choisie la lecture aléatoire : élimine les erreurs et préfère les non-lues
  - Modifié icônes des boîtes de dialogue
  - Modifié chargement threadé des recherches et playlists
  - Corrigé bug de mémorisation des flux par drag'n'drop
  - Corrigés bugs multiples


Version 3.9 (majeure: bibliothèques binaires)
- Ajouté bibliothèque binaires sérialisées
- Ajouté mise à jour des bibliothèques (recherche de fichier)
- Supprimé application de recherche de fichiers
- Ajouté la gestion du champ BPM
- Ajouté indexation automatique des pistes
- Ajouté recherche des IDTag manuelle
- Ajouté bouton "effacer la liste de gauche"
- Ajouté liste de filtres (top, non taggués, non trouvés, a une image, BPM entre 100 et 120, Flux, par années, par genre, par note, par bibliothèque)
- Ajouté des champs (IDTags, gestion des notes, nombre de lecture) en mémoire
- Ajouté affichage du nombre de lecture et BPM dans les infos d'une piste
- Ajouté une option pour rechercher également dans les IDTags référencés
- Ajouté utilisation de l'historique de lecture pour la lecture aléatoire (utiliser une piste non déjà lue)
- Corrigé bugs dans la gestion des bibliothèques
- Corrigé bug de sauvegarde de la playlist courrante


Version 3.8 (majeure: gestion des objets de lecture en mémoire)
- Ajouté option permettant de rendre le clavier après la capture
- Corrigé la touche lecture lance la lecture même si elle était arrêtée
- Ajouté affiche si le lecteur possède les droits administrateurs
- Ajouté gère une liste interne pour les lectures précédentes aléatoires


Version 3.7
- Corrigé bug de rafraichissement de recherche en cas de changement de combo
- Corrigé optimisation du projet
- Ajouté des touches globales
- Ajouté menu contextuel
- Ajouté lecture des ID3Tagv1/2 dans les propriétés d'un fichier
- Ajouté sélection par clic droit
- Ajouté lecture des ID3Tag dans le streaming
- Ajouté threading de l'ouverture du média


Version 3.6 (semi-majeure : multi-source)
- Ajouté options (avancement, toujours au premier plan, ajouter plutôt que lire, recherche 3 chars, recherche limite 1000, recherche sauvegarde 100)
- Ajouté gestionnaire de bibliothèque
- Ajouté support multi-source
- Corrigé questionnements du démarrage (optimisation)
- Supprimé support des favoris
- Corrigé bug en cas de fermeture de la fenêtre si elle est réduite ou en tray


Version 3.5 (semi-majeure : XML/Clavier/Seven)
- Ajouté thread de recherche
- Ajouté thread de chargement au démarrage
- Changé méthode de sauvegarde des paramètres (base de registre -> XML)
- Ajouté fenêtre d'options
- Ajouté options avancées (DSP, timings, changement de la Datalist, trayicon, temps restant, clavier global, sémaphore)
- Ajouté l'écoute du clavier pour les touches multimédia
- Ajouté menu de recherche rapide (touche Recherche multimédia)
- Ajouté barre de progression pour la barre de tâche (Windows 7)
- Changé version de FMOD (4.26)
- Corrigé quelques bugs
- Corrigé questionnements du démarrage (optimisation)
- Corrigé (francisation de l'interface)
- Corrigé le pannel d'option rapide (agencement correcte)
- Changé extension des listes (.txt -> .mfl)
- Supprimé les playlists (vide, nouvelle, favoris)
- Ajouté menu de gestion des playlists


Version 3.1
- Corrigés quelques bugs
- Corrigé Nom des DLL (différentiation 32/64 bits)
- Corrigé intégration des icônes en ressources
- Ajouté détection de la session Remote Desktop Protocol


Version 3.0.1.1
- Corrigé l'ordre d'ajout de fichiers par drag&drop
- Ajouté version 64 bits
- Ajouté support de l'UAC


Version 3.0.1.0
- Ajouté détection de son mort
- Ajouté export M3U
- Ajouté icône animée
- Ajouté graphique sinusoïdale
- Ajouté affichage des titres seuls dans la liste
- Ajouté afficher, pour chaque liste, chemin court ou complets
- Ajouté capacité ne pas continuer la lecture
- Corrigé bug de sauvegarde dans la base de registre à la fermeture
- Corrigé bug du menu contextuel de la tray icon
- Corrigé bug d'ouverture d'une liste préfixée
- Ajouté suppression de pistes inaccessible
- Ajouté recherche des fichiers supprimés


Version 3.0.0.4
- Corrigé le bogue des chemins trop long


Version 3.0.0.3
- Changé l'ordre d'affichage de l'historique des recherches
- Changé la recherche des playlists (non plus par correspondance de nom)
- Ajouté la sauvegarde de l'historique des recherches et des playlists
- Ajouté drag & drop dans le menu playlist
- Ajouté la suppression en appuyant sur "suppr"
- Ajouté lancement de la lecture en appuyant sur "entrée"
- Ajouté la pause en appuyant sur "espace"
- Ajouté la lecture des MP3 corrompus
- Ajouté une icône dans la zone de notification
- Supprimé l'animation dans la barre de titre lors de streaming
- Corrigé le bogue de restauration de la taille de la fenêtre
- Corrigé le bogue de fermeture de fichier lu


Version 3.0.0.2
- Ajouté easter egg
- Ajouté drag & drop sortant
- Ajouté le refiltrage
- Ajouté le support des favoris
- Ajouté la détection de fichiers supprimés
- Corrigé le bogue dans l'ordre de lecture
- Corrigé l'affichage du temps streaming
- Corrigé le bogue dans l'exportation du nom dans MSN


Version 3.0.0.1
- Ajouté drag & drop
- Ajouté fabrication de liste
- Ajouté sauvegarde des paramètres dans la base de registre
- Ajouté utilisation d'un préfix
- Ajouté animation dans la barre de titre
- Ajouté l'import de playlist
- Ajouté le support de playlist
- Ajouté le support de streaming
- Ajouté exportation du nom dans MSN
- Ajouté le bouton CS
- Corrigé le bogue dans l'orde de lecture
- Corrigé le bouton pause
- Corrigé la détection de la fin d'une piste


Version 3.0.0.0
- Première version
